<mat-card>
  <mat-card-title
    *ngIf="name"
    markdown
    [content]="name"
    [context]="context"
    [enumerator]="enumerator"
    [required]="!placeholder && block.required"
  ></mat-card-title>
  <mat-card-content *ngIf="description" markdown [content]="description" [context]="context"></mat-card-content>
  <mat-form-field class="form-field-full-width">
    <input
      #ref
      type="text"
      matInput
      [required]="block.required"
      [placeholder]="placeholder"
      [value]="block.textSlot.string"
      [attr.maxlength]="block.maxLength || null"
      [autocomplete]="block.props.autoComplete ? block.props.autoComplete : 'off'"
      [attr.list]="block.props.suggestions && block.key('list')"
      [attr.inputmode]="block.props.autoComplete === 'tel' ? 'tel' : 'text'"
      [attr.aria-describedby]="explanation && block.key('explanation')"
      [(ngModel)]="block.textSlot.value"
      (blur)="block.onBlur(ref)"
    />
    <datalist *ngIf="block.props.suggestions" [id]="block.key('list')">
      <option *ngFor="let suggestion of block.props.suggestions" [value]="suggestion.name"></option>
    </datalist>
  </mat-form-field>
  <mat-card-footer
    *ngIf="explanation"
    [id]="block.key('explanation')"
    markdown
    [content]="explanation"
    [context]="context"
  ></mat-card-footer>
</mat-card>
